<?php
/**
 * ContactNotesApiTest
 * PHP version 5
 *
 * @category Class
 * @package  text-magic
 * @author   Swagger Codegen team
 * @link     https://github.com/swagger-api/swagger-codegen
 */

/**
 * TextMagic
 *
 * TextMagic REST API
 *
 * OpenAPI spec version: 2
 * 
 * Generated by: https://github.com/swagger-api/swagger-codegen.git
 * Swagger Codegen version: 2.4.7
 */

/**
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen
 * Please update the test case below to test the endpoint.
 */

namespace text-magic;

use \text-magic\Configuration;
use \text-magic\ApiException;
use \text-magic\ObjectSerializer;

/**
 * ContactNotesApiTest Class Doc Comment
 *
 * @category Class
 * @package  text-magic
 * @author   Swagger Codegen team
 * @link     https://github.com/swagger-api/swagger-codegen
 */
class ContactNotesApiTest extends \PHPUnit_Framework_TestCase
{

    /**
     * Setup before running any test cases
     */
    public static function setUpBeforeClass()
    {
    }

    /**
     * Setup before running each test case
     */
    public function setUp()
    {
    }

    /**
     * Clean up after running each test case
     */
    public function tearDown()
    {
    }

    /**
     * Clean up after running all test cases
     */
    public static function tearDownAfterClass()
    {
    }

    /**
     * Test case for createContactNote
     *
     * Create a new contact note..
     *
     */
    public function testCreateContactNote()
    {
    }

    /**
     * Test case for deleteContactNote
     *
     * Delete a single contact note..
     *
     */
    public function testDeleteContactNote()
    {
    }

    /**
     * Test case for deleteContactNotesBulk
     *
     * Delete contact note by given ID(s) or delete all contact notes..
     *
     */
    public function testDeleteContactNotesBulk()
    {
    }

    /**
     * Test case for getContactNote
     *
     * Get a single contact note..
     *
     */
    public function testGetContactNote()
    {
    }

    /**
     * Test case for getContactNotes
     *
     * Fetch notes assigned to the given contact..
     *
     */
    public function testGetContactNotes()
    {
    }

    /**
     * Test case for updateContactNote
     *
     * Update existing contact note..
     *
     */
    public function testUpdateContactNote()
    {
    }
}
